#!/bin/sh

if [ "$1" = "" ] || [ "$2" = "" ] || [ "$3" = "" ]; then
	echo "Usage:" $0 "orignal_image fs_dir new_image"
	exit
fi

echo
echo "Original Image:" $1
echo "Your Filesystem:" $2
echo "New Image:" $3
echo
echo "Press 'y' to continue"

read yn

if [ "$yn" = "y" ]; then
	tools/mkcramfs $2 fs.bin
	tools/makeImage $3 $1 fs.bin
       	echo $3 "Created!"	
else
	echo "EXIT!"
fi


